package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-11-09 11:30
 */
@FeignClient(value = "logistic",url = "172.16.33.122:44325")
public interface TmstruckFeign {
    @PostMapping("api/logistics/AbnormalReturn")
    Map<String,Object> sendAbnormalReturn(@RequestBody(required = true) Map<String,Object>map);

    @PostMapping("api/logistics/TareApplyFor")
    Map<String,Object> pushWeightApply(Map<String, Object> map);
}
