package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstrainStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmstrainStatementMapper extends IBaseMapper<BmstrainStatement, BigDecimal> {
    // 采购火运账单
    Map<String, Object> getTrainStatement(BigDecimal statementId);

    // 得到
    List<Map<String, Object>> getCarrierAndReceiver(BigDecimal statementId);
}