package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckDetailsOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmstruckDetailsOrderMapper extends IBaseMapper<BmstruckDetailsOrder, BigDecimal> {
    // 查询销售计费详单
    List<Map<String, Object>> getSaleDetailsOrder(BigDecimal statementId);

    // 查询采购计费详单
    List<Map<String, Object>> getPurchaseDetailsOrder(BigDecimal detailsId);

    // 查询采购汽运账单所需信息
    Map<String, Object> getStatementMessage(BigDecimal detailsId);
}