package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsMaterialMapper extends IBaseMapper<RmsMaterial, BigDecimal> {

    @Select("select seq__RMS_MATERIAL.nextval from dual")
    BigDecimal getMaterialId();

    @Override
    List<RmsMaterial> selectByParameters(Map<String, Object> parameters);

    // 展示物资信息
    List<Map<String, Object>> getMaterialList(Map<String, Object> mapVal);
}