package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsMaterialSteel;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface RmsMaterialSteelMapper extends IBaseMapper<RmsMaterialSteel, BigDecimal> {
    // 得到没有质保书的炉号
    List<Map<String, Object>> getMaterialFurnaceNumber();

    // 修改相应炉号的钢材质检结果
    Integer updateMaterialQuality(Map<String,Object> map);
}