package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.AmsSaleOrder;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * AmsSaleOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-26 07:26
 * 类描述
 * 修订历史：
 * 日期：2021-10-26
 * 作者：generator
 * 参考：
 * 描述：AmsSaleOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsSaleOrderService {

    /**
     * 查询销售订单
     * @param saleOrderId
     * @return
     */
    Map<String, Object> getSaleOrder(BigDecimal saleOrderId);

    /**
     * 修改销售订单
     * @param mapVal
     * @return
     */
    int operationSaleOrder(Map<String, Object> mapVal);
}