package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.BmstrainStatement;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * BmstrainStatement服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 08:15
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmstrainStatement服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmstrainStatementService {

    /**
     * 得到火运账单信息
     * @param statementId
     * @return
     */
    Map<String, Object> getTrainStatement(Integer statementId);

    /**
     * 修改火运账单
     * @param mapValue
     * @return
     */
    int updateTrainStatement(Map<String, Object> mapValue);
}