package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.BmstruckStatement;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * BmstruckStatement服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-27 04:14
 * 类描述
 * 修订历史：
 * 日期：2021-10-27
 * 作者：generator
 * 参考：
 * 描述：BmstruckStatement服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmstruckStatementService {


    /**
     * 得到汽运账单
     * @param statementId
     * @return
     */
    Map<String, Object> getStatement(Integer statementId);

    /**
     * 修改账单
     * @param mapValue
     * @return
     */
    int updateStatement(Map<String, Object> mapValue);
}