package com.steerinfo.dil.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * RmsMaterialSteel服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-29 02:33
 * 类描述
 * 修订历史：
 * 日期：2021-10-29
 * 作者：generator
 * 参考：
 * 描述：RmsMaterialSteel服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsMaterialSteelService {

    /**
     * 得到没有质保书的炉号
     * @return
     */
    List<Map<String, Object>> getMaterialFurnaceNumber();

    /**
     * 修改相应炉号的钢材质检结果
     * @param map
     * @return
     */
    Integer updateMaterialQuality(Map<String, Object> map);

    Map<String, String> upFile(MultipartFile[] files, HttpServletRequest request) throws IOException;
}