package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.TmstruckMeasureCommission;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * TmstruckMeasureCommission服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 02:48
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：TmstruckMeasureCommission服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckMeasureCommissionService {

    /**
     * 推送运输订单信息（计量委托）
     * @param orderNumber
     * @param type
     * @return
     */
    Map<String, Object> pushTruckWeightApply(String orderNumber,Integer type);
}