package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.TmstruckWeightResult;

import java.text.ParseException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckWeightResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 02:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：TmstruckWeightResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckWeightResultService {

    /**
     * 接收计量实绩信息
     * @param mapList
     * @return
     */
    String receiveTmsTruckWeightResult(List<Map<String, Object>> mapList);
}