package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmstrainSettlement;
import com.steerinfo.dil.mapper.BmstrainSettlementMapper;
import com.steerinfo.dil.service.IBmstrainSettlementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * BmstrainSettlement服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 08:11
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmstrainSettlement服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstrainSettlementService")
public class BmstrainSettlementServiceImpl implements IBmstrainSettlementService {

    @Autowired
    private BmstrainSettlementMapper bmstrainSettlementMapper;

    /**
     * 销售火运结算
     * @param settlementId
     * @return
     */
    @Override
    public Map<String, Object> getTrainSettlement(Integer settlementId) {
        Map<String,Object> mapValue = bmstrainSettlementMapper.getTrainSettlement(settlementId);
        return mapValue;
    }
}
