package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.TmstruckFeign;
import com.steerinfo.dil.service.impl.TmstruckMeasureCommissionServiceImpl;
import com.steerinfo.dil.service.impl.TmstruckWeightResultServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:luobang
 * @GreateTime:2021/11/09 14:13
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/tmstruckmeasurecommission")
public class TmstruckMeasureCommissionController extends BaseRESTfulController {

    @Autowired
    TmstruckMeasureCommissionServiceImpl tmstruckMeasureCommissionService;

    @Autowired
    TmstruckFeign tmstruckFeign;

    /**
     * 推送运输订单信息(计量委托)
     *
     *
     * @return
     */
    @ApiModelProperty(value = "推送运输订单信息(计量委托)")
    @PostMapping("/pushTruckWeightApply")
    public RESTfulResult pushTruckWeightApply(@RequestBody(required = true)Map<String,Object>map) {


       return success(tmstruckFeign.pushWeightApply(map));
    }


}
