package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @author HUJIANGUO
 * @create 2021-11-10 11:30
 */
@FeignClient(value = "logistic",url = "172.16.33.166:8089")
public interface EASFeign {

    @PostMapping("api/logistics/AbnormalReturn")
    Map<String,Object> sendAbnormalReturn(@RequestBody(required = true) Map<String, Object> map);

    @PostMapping("api/logistics/TareApplyFor")
    Map<String,Object> pushWeightApply(Map<String, Object> map);

}
