package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface AmsSaleMaterialMapper extends IBaseMapper<AmsSaleMaterial, BigDecimal> {

    // 得到销售订单主键
    @Select("select seq_AMS_SALE_MATERIAL.nextval from dual")
    BigDecimal getSaleMaterialId();

    // 通过物资编码查询物资id
    BigDecimal getMaterialId(String materialCode);
}