package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmsportHandlingFee;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmsportHandlingFeeMapper extends IBaseMapper<BmsportHandlingFee, BigDecimal> {
    // 得到港口装卸费信息
    List<Map<String, Object>> getPortFee(BigDecimal feeId);
    // 得到支付单位，发货单位，收货单位
    Map<String, Object> getOtherMessage(BigDecimal feeId);
}