package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmsshipStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmsshipStatementMapper extends IBaseMapper<BmsshipStatement, BigDecimal> {
    // 采购船运账单
    Map<String, Object> getShipStatement(BigDecimal statementId);
    // 得到水运费的发货单位和收款单位
    List<Map<String, Object>> getShipOtherMessage(BigDecimal statementId);
    // 得到水运费付款单位
    String getShipPaymentUnit(BigDecimal statementId);
    // 得到途损费付款单位
    Map<String,Object> getLossPaymentUnit(BigDecimal statementId);

    Map<String,Object> getWaterFeeMembers(BigDecimal statementId);
}