package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmstruckStatementMapper extends IBaseMapper<BmstruckStatement, BigDecimal> {
    // 通过账单id查询账单信息
    Map<String, Object> getStatement(BigDecimal statementId);

    List<Map<String, Object>> getCarrierAndReceiver(BigDecimal statementId);
}