package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsSupplier;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsSupplierMapper extends IBaseMapper<RmsSupplier, BigDecimal> {

    @Select("select seq__RMS_SUPPLIER.nextval from dual")
    BigDecimal getSupplierId();

    @Override
    List<RmsSupplier> selectByParameters(Map<String, Object> parameters);

    // 查询供应商列表
    List<Map<String, Object>> getSupplierList(Map<String, Object> mapVal);
}