package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckMeasureCommission;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstruckMeasureCommissionMapper extends IBaseMapper<TmstruckMeasureCommission, BigDecimal> {
    // 得到总实绩id
    BigDecimal getResultTotalId(String orderNumber);

    @Select("select seq__TMS_COMMISSION.nextval from dual")
    BigDecimal getCommssionId();

    // 得到计量委托信息
    Map<String, Object> getMeasureCommission(String orderNumber);
}