package com.steerinfo.dil.service;

import java.util.List;
import java.util.Map;

/**
 * BmstruckDetailsOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-27 05:06
 * 类描述
 * 修订历史：
 * 日期：2021-10-27
 * 作者：generator
 * 参考：
 * 描述：BmstruckDetailsOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmstruckDetailsOrderService {

    /**
     * 查询采购汽运详单
     * @param detailsId
     * @return
     */
    Map<String, Object> getPurchaseDetailsOrder(Integer detailsId);

    /**
     * 查询销售汽运详单
     * @param statementId
     * @return
     */
    List<Map<String, Object>> getSaleDetailsOrder(Integer statementId);
}