package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsConsigneee服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-26 05:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-26
 * 作者：generator
 * 参考：
 * 描述：RmsConsigneee服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsConsigneeService {

    /**
     * 管理收货客户
     * @param mapVal
     * @return
     */
    int operationConsignee(Map<String, Object> mapVal);

    /**
     * 展示收货客户信息
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getConsigneeList(Map<String, Object> mapVal);
}