package com.steerinfo.dil.wsdl;

import java.io.Serializable;

/**
 * Description: weather1
 * Created by ydx on 2018/8/13 13:39
 */
public class ServiceInfo implements Serializable{
    private String userName;    // 用户名
    private String password;    // 密码
    private String slnName;     // eas
    private String dcName;      // 数据中心
    private String language;    // 语言
    private int dbType;         // 数据库类型
    private String authPattern; // 验证方式
    private String servername;

    public String getServername () {
        return servername;
    }

    public void setServername (String ip, String port) {
        this.servername = "http://"+ip+":"+port+"/ormrpc/services/";
    }

    public ServiceInfo(String userName, String password, String slnName, String dcName, String language, int dbType, String authPattern) {
        this.userName = userName;
        this.password = password;
        this.slnName = slnName;
        this.dcName = dcName;
        this.language = language;
        this.dbType = dbType;
        this.authPattern = authPattern;
    }

    public ServiceInfo() {

    }

    public ServiceInfo(String userName, String password, String slnName, String dcName, String language, int dbType) {

        this.userName = userName;
        this.password = password;
        this.slnName = slnName;
        this.dcName = dcName;
        this.language = language;
        this.dbType = dbType;
    }

    public String getUserName () {

        return userName;
    }

    public void setUserName (String userName) {
        this.userName = userName;
    }

    public String getPassword () {
        return password;
    }

    public void setPassword (String password) {
        this.password = password;
    }

    public String getSlnName () {
        return slnName;
    }

    public void setSlnName (String slnName) {
        this.slnName = slnName;
    }

    public String getDcName () {
        return dcName;
    }

    public void setDcName (String dcName) {
        this.dcName = dcName;
    }

    public String getLanguage () {
        return language;
    }

    public void setLanguage (String language) {
        this.language = language;
    }

    public int getDbType () {
        return dbType;
    }

    public void setDbType (int dbType) {
        this.dbType = dbType;
    }

    public String getAuthPattern () {
        return authPattern;
    }

    public void setAuthPattern (String authPattern) {
        this.authPattern = authPattern;
    }

    public void setServername (String servername) {
        this.servername = servername;
    }
}
